[android-components](../../index.md) / [mozilla.components.support.test.file](../index.md) / [kotlin.Any](index.md) / [loadResourceAsString](./load-resource-as-string.md)

# loadResourceAsString

`fun `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`.loadResourceAsString(path: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/test/src/main/java/mozilla/components/support/test/file/Resources.kt#L13)

Loads a file from the resources folder and returns its content as a string object.

### Parameters

`path` - The path where the file is located